### Signal

# Gio DBusProxy::g-signal

since: 2.26

#### Declaration

    void
    g_signal (
      GDBusProxy* self,
      gchar* sender_name,
      gchar* signal_name,
      GVariant* parameters,
      gpointer user_data
    )

#### Description [src]

Emitted when a signal from the remote object and interface that `proxy` is for, has been received.

Since 2.72 this signal supports detailed connections. You can connect to the detailed signal `g-signal::x` in order to receive callbacks only when signal `x` is received from the remote object.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 2.26

#### Parameters

`sender_name`

  Type: `gchar*`

  The sender of the signal or `NULL` if the connection is not a bus connection.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`signal_name`

  Type: `gchar*`

  The name of the signal.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  A `GVariant` tuple with parameters for the signal.

  The data is owned by the caller of the function.